/*==========================================================================*\
 |  This file is part of setiherder (http://www.sackheads.org/setiherder/)  |
 |  which was written by Brian L. Naylor <brian+seti@sackheads.org> and is  |
 |  under the GNU General Public License.  You should have recieved a copy  |
 |  of the GPL with this source code.  If not, we'd like to know about it.  |
\*--------------------------------------------------------------------------*/

#ifndef SH_UTIL
#define SH_UTIL

#define DBG_MAX_OUT 1023

#define DBG_CUTE  0x1
#define DBG_INFO  0x2
#define DBG_WARN  0x4
#define DBG_ERROR 0x8
#define DBG_FATAL 0x10
#define DBG_DIAG  0x20
#define DBG_DUMP  0x40

#define DBG_DEFAULT_FLAGS \
          (DBG_CUTE | DBG_INFO | DBG_WARN | DBG_ERROR | DBG_FATAL)

void dbg(int level, char *msg, ...);


#endif
